function [a_truncated,separated_element]=breakoff(a,position)
% Copyright (c) 2019 by S. Lawrence Marple Jr.

% This function separates the left or right element of input matrix/vector
% 'a' and places remainder into output matrix/vector  'b' .
%
%    [a_truncated,separated_element] = breakoff(a,position)
%
%  a                 -- input matrix or vector
%  position          -- set to 'left' to break off left element, or 'right' to
%                       break off right side element
%  a_truncated       -- truncated residual of input matrix/vector
%  separated_element -- left or right element of input matrix/vector

[m,n] = size(a);
if     strcmp(position,'left')
    separated_element = a(:,1);
    a_truncated = a(:,2:n);
elseif strcmp(position,'right')
    separated_element = a(:,n);
    a_truncated = a(:,1:n-1);
else
    error(' Only LEFT or RIGHT may be used with string POSITION.')
end
%