function r=hermsqrt(h)
% Copyright (c) 2019 by S. Lawrence Marple Jr.

% Computes the "square root" upper triangular matrix  'r'  of a hermitian
% matrix 'h' ; MATLAB function 'chol' seems to have problems with hermitian
% matrices created as the sum of vector outer products in which a negligible
% imaginary component may still exist on the main diagonal; however, 'chol'
% expects to find only real-valued elements.
%
%     r = hermsqrt(h)

r = chol(diag(real(diag(h))) + triu(h,1));
%